{ config, pkgs, ... }:

{
  # Suspend system:
  #   sudo systemctl suspend

  # Power consumption:
  #    2.4W powered off, with 1 RAM, 1 SSD
  #    2.6W suspended, with 1 RAM, 1 SSD
  #    2.6W suspended, with 1 RAM, 1 SSD, 2 HDDs
  #   18.9W idle, with 1 RAM, 1 SSD, 2 HDDs

  # journalctl -u regular-wakeup

  systemd.timers."regular-wakeup" = {
    wantedBy = [ "multi-user.target" ];
    timerConfig = {
      OnCalendar = [
        # Testing
        "Sun 16:15:00"
        # Daily
        # *-*-* 00:00:05
      ];
      WakeSystem = true;
      };
   };
  systemd.services."regular-wakeup" = {
    script = ''
      set -eu -o pipefail
      printf '%s%s\n' 'Wokeup at ' "$(date)"
    '';
  };
}
